Retrieves the job work instruction list with the specified key.

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

job_work_instruction_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of the jobs

globally unique identifier

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs_reference_back_office

Embedded entity "jobs" using ERP PK when adding/updating

string

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs

Embedded entity "jobs" when adding/updating

jobs

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

work_instruction_details_id

work instruction details id

globally unique identifier
work_instruction_details_reference_back_office

Embedded code "work instruction details" when adding/updating

string
work_instruction_details

Embedded entity "work instruction details" when adding/updating

work_instruction_details
user_id

Filled by the person that completed that item on the checklist

globally unique identifier
work_instruction_action_type

Value from work_instruction_action_type.name

string
work_instruction_id

work instruction id

globally unique identifier

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction_reference_back_office

Embedded code "work instruction" when adding/updating

string

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction

Embedded entity "work instruction" when adding/updating

work_instruction

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

name

The "on what"

string

Required

Max length: 4000

status

Status can be Ok,NotOk,Replaced,NotApplicable

string

Max length: 50

date_done

Datetime filled when status goes to one valable status.

date
remark

Additional remark from the technician.

string

Max length: 255

advise

Additional advice from the technician.

string

Max length: 255

sequence

To order it.

integer
reference_back_office

The Id/Ref of the back office for this job work instruction. Used by Embedded entity

string

Max length: 255

group_name

Name of the group

string

Max length: 4000

group_sequence

Order of the group

integer
type

One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default

string
instruction_document_count

Specify how many documents/photos must be added if type is Picture

integer
db_report_type_id

When type is Form, you must specify which db_report_type must be filled

globally unique identifier
db_report_type_name

When type is Form, you must specify which db_report_type must be filled

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "525445ce-9ad2-4204-9766-1ebe74a12fb8",
  "jobs_id": "a0e2e7b5-93c9-4474-86a5-e38246212acf",
  "jobs_reference_back_office": "sample string 3",
  "jobs": {
    "id": "c4cdb8f7-f284-4ba3-9b80-2ca71f8e51b1",
    "_parent_id": "ab2776e3-33ee-4f8d-bad0-a70750d2c5ba",
    "_parent_jobs_reference_back_office": "sample string 3",
    "project_id": "51f1b449-ff59-496a-9a12-2ccb048ec263",
    "project_reference_back_office": "sample string 5",
    "project": {
      "id": "62b78102-5062-45e8-a406-0709b18dd4be",
      "_parent_id": "9be85774-8950-471d-8f27-a596d896dc76",
      "root_parent_id": "86784ab1-b5a4-4a0c-afd4-bc416d905b50",
      "_parent_reference_back_office": "sample string 4",
      "equipment_family_id": "fe322487-d249-408b-8d46-9a5e2f5998ca",
      "equipment_family_code": "sample string 6",
      "equipment_family": {
        "id": "82b73de4-f21b-4162-8108-e6aa23559afe",
        "name": "sample string 2",
        "description": "sample string 3",
        "code": "sample string 4",
        "_parent_id": "6c835743-63b8-42cd-a3ca-7b7d57a66b02",
        "_parent_code": "sample string 6",
        "sales_organization_id": "dc542deb-048e-4735-8f4a-07e273d50d50",
        "sales_organization_code": "sample string 8",
        "sales_organization": {
          "id": "36b0e538-2b2f-41c5-bd64-6fc46bf2cebb",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "0a30acf4-39d6-4738-920d-c7b88533feda",
          "db_currency_id": "cf589637-bb50-4c8a-af29-456d2f4b693c",
          "db_language_id": "51163361-4602-47de-867b-45cfabe49aaf",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-15T16:28:00.4840274+00:00"
        },
        "modified_dateutc": "2026-10-15T16:28:00.4840274+00:00"
      },
      "equipment_model_id": "dc246b99-b884-403b-b3ae-aa6318317396",
      "equipment_model_code": "sample string 8",
      "equipment_model": {
        "id": "2861df7f-9236-4372-8677-058d1927547d",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "equipment_brand_id": "9ea71dc9-b21b-46c7-bf1b-0499398daef4",
        "equipment_brand_code": "sample string 6",
        "equipment_brand": {
          "id": "d541536f-4dc4-4327-905e-d8ea91250b57",
          "name": "sample string 2",
          "code": "sample string 3",
          "sales_organization_id": "a8aedbbc-4cfa-4649-a049-d115368eb6a9",
          "sales_organization_code": "sample string 5",
          "sales_organization": {
            "id": "36b0e538-2b2f-41c5-bd64-6fc46bf2cebb",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "0a30acf4-39d6-4738-920d-c7b88533feda",
            "db_currency_id": "cf589637-bb50-4c8a-af29-456d2f4b693c",
            "db_language_id": "51163361-4602-47de-867b-45cfabe49aaf",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-10-15T16:28:00.4840274+00:00"
          },
          "modified_dateutc": "2026-10-15T16:28:00.4840274+00:00"
        },
        "equipment_family_id": "eeed565c-ffec-4cdd-9db0-6c487b9ffd9b",
        "equipment_family_code": "sample string 8",
        "equipment_family": {
          "id": "82b73de4-f21b-4162-8108-e6aa23559afe",
          "name": "sample string 2",
          "description": "sample string 3",
          "code": "sample string 4",
          "_parent_id": "6c835743-63b8-42cd-a3ca-7b7d57a66b02",
          "_parent_code": "sample string 6",
          "sales_organization_id": "dc542deb-048e-4735-8f4a-07e273d50d50",
          "sales_organization_code": "sample string 8",
          "sales_organization": {
            "id": "36b0e538-2b2f-41c5-bd64-6fc46bf2cebb",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "0a30acf4-39d6-4738-920d-c7b88533feda",
            "db_currency_id": "cf589637-bb50-4c8a-af29-456d2f4b693c",
            "db_language_id": "51163361-4602-47de-867b-45cfabe49aaf",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-10-15T16:28:00.4840274+00:00"
          },
          "modified_dateutc": "2026-10-15T16:28:00.4840274+00:00"
        },
        "date_in_production_since": "2026-10-15T16:28:00.4840274+00:00",
        "date_out_of_production_since": "2026-10-15T16:28:00.4840274+00:00",
        "date_end_support": "2026-10-15T16:28:00.4840274+00:00",
        "sales_organization_id": "6e294b07-bbe9-4ac8-a875-d83c4b72bb48",
        "sales_organization_code": "sample string 13",
        "sales_organization": {
          "id": "36b0e538-2b2f-41c5-bd64-6fc46bf2cebb",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "0a30acf4-39d6-4738-920d-c7b88533feda",
          "db_currency_id": "cf589637-bb50-4c8a-af29-456d2f4b693c",
          "db_language_id": "51163361-4602-47de-867b-45cfabe49aaf",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-15T16:28:00.4840274+00:00"
        },
        "replacement_period_nb_months": 14,
        "warranty_period_nb_months": 15,
        "translations": [
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          },
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          }
        ],
        "modified_dateutc": "2026-10-15T16:28:00.4840274+00:00"
      },
      "project_status_id": "6244f7c7-8dea-4eff-9e6b-bd55759dd4e0",
      "project_status_code": "sample string 10",
      "project_status": {
        "id": "e8e41d9a-143c-40cf-be88-02c34ac0a392",
        "name": "sample string 2",
        "is_default": true,
        "is_closed": true,
        "sales_organization_id": "d68d82c6-66c1-486d-b5d4-e2e98209c5cb",
        "sales_organization_code": "sample string 6",
        "sales_organization": {
          "id": "36b0e538-2b2f-41c5-bd64-6fc46bf2cebb",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "0a30acf4-39d6-4738-920d-c7b88533feda",
          "db_currency_id": "cf589637-bb50-4c8a-af29-456d2f4b693c",
          "db_language_id": "51163361-4602-47de-867b-45cfabe49aaf",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-15T16:28:00.4840274+00:00"
        },
        "code": "sample string 7",
        "modified_dateutc": "2026-10-15T16:28:00.4840274+00:00"
      },
      "company_id": "199f80c2-84b5-47ec-a24e-62d151c734b7",
      "company_code": "sample string 12",
      "db_address_id": "87036349-e94b-40ab-841d-f10067bc348b",
      "db_address_code": "sample string 14",
      "location": "sample string 15",
      "contact_id": "23e5d8a9-398b-4399-82f2-e6c97ffab701",
      "contact_reference_back_office": "sample string 17",
      "owner_user_id": "e736b660-4de4-48b2-9d77-2b8b46bc0e3e",
      "name": "sample string 19",
      "description": "sample string 20",
      "reference_back_office": "sample string 21",
      "serial_number": "sample string 22",
      "barcode": "sample string 23",
      "date_start_production": "2026-10-15T16:28:00.4840274+00:00",
      "date_create": "2026-10-15T16:28:00.4840274+00:00",
      "date_update": "2026-10-15T16:28:00.4840274+00:00",
      "updated_by_user_id": "2e7b55fb-e87a-4a2b-bf10-d71bdc369fcd",
      "customer_reference": "sample string 28",
      "warranty_date_until": "2026-10-15T16:28:00.4840274+00:00",
      "last_standard_result_score_1": "sample string 30",
      "last_standard_result_score_2": "sample string 31",
      "target_standard_result_score_1": "sample string 32",
      "target_standard_result_score_2": "sample string 33",
      "date_built": "2026-10-15T00:00:00+00:00",
      "shutdown_consequence": "sample string 35",
      "id2": 36,
      "nb_open_jobs": 37,
      "date_next_job": "2026-10-15T16:28:00.4840274+00:00",
      "date_last_job": "2026-10-15T16:28:00.4840274+00:00",
      "nb_jobs_planned": 40,
      "nb_jobs_tobeplanned": 41,
      "nb_jobs_waitingfurtheraction": 42,
      "back_office_timestamp": "2026-10-15T16:28:00.4840274+00:00",
      "modified_dateutc": "2026-10-15T16:28:00.4840274+00:00",
      "is_mobile_installation": true
    },
    "job_type_id": "af477c1a-0dac-4cf4-97ef-8edc30380749",
    "job_type_code": "sample string 7",
    "job_type": {
      "id": "f17c6a7d-8aee-4fd9-be70-62ec5312ec3e",
      "name": "sample string 2",
      "sales_organization_id": "d705f9ef-0fca-4a21-a478-c45d22a2995b",
      "description": "sample string 4",
      "is_default": true,
      "modified_dateutc": "2026-10-15T16:28:00.4840274+00:00",
      "code": "sample string 7"
    },
    "job_priority_id": "7ed066d1-59a0-4a7c-a9db-bc4441f06a68",
    "job_priority_code": "sample string 9",
    "job_priority": {
      "id": "bfa75354-38cf-4ad7-8a00-9bf1851f2ea7",
      "name": "sample string 2",
      "is_default": true,
      "sequence": 4,
      "sales_organization_id": "eb7cef4a-ec66-47ed-8c46-ce3b8f44b273",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "36b0e538-2b2f-41c5-bd64-6fc46bf2cebb",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "0a30acf4-39d6-4738-920d-c7b88533feda",
        "db_currency_id": "cf589637-bb50-4c8a-af29-456d2f4b693c",
        "db_language_id": "51163361-4602-47de-867b-45cfabe49aaf",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-15T16:28:00.4840274+00:00"
      },
      "code": "sample string 7",
      "modified_dateutc": "2026-10-15T16:28:00.4840274+00:00"
    },
    "job_status_id": "27680811-24f4-41f6-bc11-efa79335d4df",
    "job_status_code": "sample string 11",
    "db_address_id": "c2723940-6458-44f5-b3b4-d4ba037b76ee",
    "contact_id": "1fa9da25-bb2f-415f-a70c-a94303b2752e",
    "requested_by_company_id": "54147b19-2a1f-454d-89ee-2d9c76b49eea",
    "requested_by_contact_id": "55041813-b263-44d0-bd79-b9f66634c4f3",
    "reference_back_office": "sample string 16",
    "name": "sample string 17",
    "description": "sample string 18",
    "working_sequence": 19,
    "internal_memo": "sample string 20",
    "prejob_information": "sample string 21",
    "estimated_time": 22,
    "earliest_date_plannable": "2026-10-15T16:28:00.4840274+00:00",
    "due_date": "2026-10-15T16:28:00.4840274+00:00",
    "date_create": "2026-10-15T16:28:00.4840274+00:00",
    "date_update": "2026-10-15T16:28:00.4840274+00:00",
    "date_closed": "2026-10-15T16:28:00.4840274+00:00",
    "suggested_user_id": "d72392d0-3f09-47c6-8469-a61e4e567ef7",
    "suggested_user_code": "sample string 29",
    "suggested_user": {
      "id": "9cc878bc-dcdf-48dd-83b4-9b8ecced6e2b",
      "db_language_id": "3867e0fc-c30b-498a-bd3c-3f7098b1766c",
      "username": "sample string 3",
      "firstname": "sample string 4",
      "lastname": "sample string 5",
      "code": "sample string 6",
      "archived": true,
      "disabled": true,
      "emergency_contact": "sample string 9",
      "bankaccount": "sample string 10",
      "social_security": "sample string 11",
      "place_of_birth": "sample string 12",
      "nationality": "sample string 13",
      "functions": "sample string 14",
      "birthdate": "2026-10-15T16:28:00.4840274+00:00",
      "skype": "sample string 16",
      "notes": "sample string 17",
      "sales_organization_id": "bc1d26ab-b93d-4719-8f5b-5a54ce0ed8f2",
      "sales_organization": {
        "id": "36b0e538-2b2f-41c5-bd64-6fc46bf2cebb",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "0a30acf4-39d6-4738-920d-c7b88533feda",
        "db_currency_id": "cf589637-bb50-4c8a-af29-456d2f4b693c",
        "db_language_id": "51163361-4602-47de-867b-45cfabe49aaf",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-15T16:28:00.4840274+00:00"
      },
      "sales_organization_code": "sample string 19",
      "is_team_leader": true,
      "team_leader_user_id": "66b60444-c18c-4d7c-9ad7-703df9a812ea",
      "email": "sample string 22",
      "phone": "sample string 23",
      "fax": "sample string 24",
      "mobile": "sample string 25",
      "private_email": "sample string 26",
      "private_phone": "sample string 27",
      "private_fax": "sample string 28",
      "private_mobile": "sample string 29",
      "private_street": "sample string 30",
      "private_street_number": "sample string 31",
      "private_city": "sample string 32",
      "private_zip": "sample string 33",
      "private_db_country_id": "7cbb7565-8a44-4fb4-8269-0f8119483e30",
      "private_db_country_code": "sample string 35",
      "modified_dateutc": "2026-10-15T16:28:00.4840274+00:00",
      "allow_hero_app": true,
      "allow_sales_app": true,
      "allow_service_app": true,
      "user_group_id": "1014683a-0f2f-4514-8a44-c02399dc9605"
    },
    "suggested_date_start": "2026-10-15T16:28:00.4840274+00:00",
    "skill_id": "ff89906e-ecdf-461f-ab13-7db6a4a977da",
    "skill_code": "sample string 32",
    "skill": {
      "id": "d34479ae-21a8-4645-abb2-8fc198fc35df",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "sales_organization_id": "3fb8f82b-6fdb-46b4-b9df-a46c087c5c38",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "36b0e538-2b2f-41c5-bd64-6fc46bf2cebb",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "0a30acf4-39d6-4738-920d-c7b88533feda",
        "db_currency_id": "cf589637-bb50-4c8a-af29-456d2f4b693c",
        "db_language_id": "51163361-4602-47de-867b-45cfabe49aaf",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-15T16:28:00.4840274+00:00"
      },
      "modified_dateutc": "2026-10-15T16:28:00.4840274+00:00"
    },
    "customer_reference": "sample string 33",
    "approval_responsible_user_id": "338d6825-4fb1-44b1-8dfa-5299b09c2519",
    "date_reported_by_company": "2026-10-15T16:28:00.4840274+00:00",
    "id2": 36,
    "company_id": "6ba1f84b-c3b0-45a0-8f0a-6a90d72e4b81",
    "company_code": "sample string 38",
    "db_address_name": "sample string 39",
    "db_address_street": "sample string 40",
    "db_address_street2": "sample string 41",
    "db_address_street_number": "sample string 42",
    "db_address_city": "sample string 43",
    "db_address_zip": "sample string 44",
    "db_address_db_country_id": "0915626d-ad34-4689-9765-0aa582d9962b",
    "db_address_db_country_code": "sample string 46",
    "db_address_phone": "sample string 47",
    "db_address_email": "sample string 48",
    "db_address_latitude_decimal": 49.0,
    "db_address_longitude_decimal": 50.0,
    "estimated_quantity_remark": "sample string 51",
    "modified_dateutc": "2026-10-15T16:28:00.4840274+00:00"
  },
  "work_instruction_details_id": "66ae54e0-b716-42ff-af4b-d3af26014ce1",
  "work_instruction_details_reference_back_office": "sample string 5",
  "user_id": "a177dc94-6fb6-4780-a102-61f3ac6dfd58",
  "work_instruction_action_type": "sample string 7",
  "work_instruction_id": "13338bbd-3b66-4114-afc5-260d39f9f1d3",
  "work_instruction_reference_back_office": "sample string 9",
  "name": "sample string 10",
  "status": "sample string 11",
  "date_done": "2026-10-15T16:28:00.4840274+00:00",
  "remark": "sample string 13",
  "advise": "sample string 14",
  "sequence": 1,
  "reference_back_office": "sample string 15",
  "group_name": "sample string 16",
  "group_sequence": 1,
  "type": "sample string 17",
  "instruction_document_count": 1,
  "db_report_type_id": "e5b9ec18-c257-4979-a0cd-0fc509c9beef",
  "db_report_type_name": "sample string 18",
  "modified_dateutc": "2026-10-15T16:28:00.4840274+00:00"
}